IPHETH(4)

NAME
ipheth - USB Apple iPhone/iPad tethered Ethernet driver

SYNOPSIS
To load the driver as a module at boot time, place the following line in loader.conf(5):

    if_ipheth_load="YES"

Alternatively, to compile this driver into the kernel, place the following lines in your kernel configuration file:

device uhci
device ohci
device usb
device miibus
device uether
device ipheth

DESCRIPTION
The ipheth driver provides support for network access through Apple iPhone and iPad devices, often referred to as USB tethering.

ipheth should work with any Apple iPhone or iPad device. In most cases this must be explicitly enabled on the device first.

For more information on configuring this device, see ifconfig(8). The device does not support different media types or options.

HARDWARE
The following devices are supported by the ipheth driver:

•   Apple iPhone tethering (all models)
•   Apple iPad tethering (all models)

SEE ALSO
arp(4), cdce(4), intro(4), netintro(4), urndis(4), usb(4), ifconfig(8) usbconfig(8)

HISTORY
The ipheth device driver first appeared in FreeBSD 8.2.

AUTHORS
-nosplit The ipheth driver was written by Hans Petter Selasky <hselasky@FreeBSD.org>.

BUGS
Some devices may need to be manually configured to use an alternative configuration with the usbconfig(8) utility. A command similar to
    usbconfig -u 1 -a 2 set_config 3
may be required if the device is not recognised automatically by ipheth after it is connected.